%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  mabacR
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Assisting Decision Makers

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.3.0
Requires:         R-core >= 4.3.0
BuildArch:        noarch

%description
Easy implementation of the MABAC multi-criteria decision method, that was
introduced by Pamučar and Ćirović in the work entitled: "The selection of
transport and handling resources in logistics centers using
Multi-Attributive Border Approximation area Comparison (MABAC)" -
<doi:10.1016/j.eswa.2014.11.057> - which aimed to choose implements for
logistics centers. This package receives data, preferably in a
spreadsheet, reads it and applies the mathematical algorithms inherent to
the MABAC method to generate a ranking with the optimal solution according
to the established criteria, weights and type of criteria. The data will
be normalized, weighted by the weights, the border area will be
determined, the distances to this border area will be calculated and
finally a ranking with the optimal option will be generated.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
